Package org.eclipse.ui

## Interface IWorkbenchWindowPulldownDelegate2

All Superinterfaces:
  `IActionDelegate`, `IWorkbenchWindowActionDelegate`, `IWorkbenchWindowPulldownDelegate`

All Known Implementing Classes:
  `AbstractLaunchHistoryAction`, `AbstractLaunchToolbarAction`, `LaunchAsAction`, `LaunchShortcutsAction`

    public interface IWorkbenchWindowPulldownDelegate2
    extends IWorkbenchWindowPulldownDelegate

Extension of IWorkbenchWindowPulldownDelegate that allows the delegate dropdown menu to be a child of a Menu item. Necessary for CoolBar support. If a coolbar group of items is not fully displayed, a chevron and a drop down menu will be used to show the group's tool items. Therefore, a getMenu(Menu) method is necessary, since the delegate drop down menu will be a child of the chevron menu item (not the tool control).

### Method Summary

All Methods Instance Methods Abstract Methods
`Menu` `getMenu​(Menu parent)` Returns the menu for this pull down action.

### Methods inherited from interface org.eclipse.ui.IActionDelegate

`run, selectionChanged`

### Methods inherited from interface org.eclipse.ui.IWorkbenchWindowActionDelegate

`dispose, init`

### Methods inherited from interface org.eclipse.ui.IWorkbenchWindowPulldownDelegate

`getMenu`

### Method Detail

#### getMenu

    Menu getMenu​(Menu parent)

Returns the menu for this pull down action. This method will only be called if the user opens the pull down menu for the action. Note that it is the responsibility of the implementor to properly dispose of any SWT menus created by this method.

Returns:
  the menu